Skip to main content

List of Transaction Details (Broker API)

This API provides purchase details from the Broker service. It allows you to retrieve detailed information about purchases using query filters. It is useful for obtaining the price of the purchase and other relevant information. This API does not require authentication.

Endpoint

MethodURL
GEThttps://api.catappult.io/broker/8.20250505/transactions

Authentication

No authentication required.

Query Parameters

ParameterTypeRequiredDescription
hashstringOptionalHash of the transaction. Defined as TxID in the Aptoide Connect and Wallet App.
domainstringOptionalPackage name of the application.

Response

StatusDescription
200Success. Returns the transaction details.

Success (200) Response Fields

NameTypeDescription
uidStringUID of the order. Defined as UID in Aptoide Connect channels.
domainStringPackage name of the application that originated this purchase.
productStringSKU of the product purchased.
wallet_fromStringWallet address used in the purchase.
typeStringType of the product purchased.
methodStringMethod used in the purchase. Example: credit_card
countryStringCountry code following ISO-3166-1-A2 guidelines. Example: US
referenceStringThe transaction reference.
hashStringHash of the transaction. Defined as TxID in the Aptoide Connect and Wallet App.
statusStringStatus of the transaction.
addedStringTimestamp of the addition date. Example: 2025-01-14T11:06:31.231117Z
modifiedStringTimestamp of the modification date. Example: 2025-01-14T11:06:31.231117Z
gatewayObjectObject with information of the gateway used.
gateway.nameStringGateway name. Example: adyen_v2
metadataObjectObject with information about the purchase metadata.
metadata.purchase_uidStringPurchase ID defined as token in the Purchase class.
metadata.developer_payloadStringString-based payload specified by the developer when initiating this purchase.
priceObjectObject with information of the price of the purchase.
price.currencyStringThe currency used in the payment, as an ISO 4217 alphabetic code. Example: USD
price.valueStringThe price value of the payment. Example: 1.12
price.appcStringThe price value in APPC currency. Example: 1120000
price.usdStringThe price value in USD currency. Example: 1.10
price.vatObjectObject with information about the VAT.
price.vat.percentageStringPercentage of the VAT. Example: 20.5
price.vat.valueStringValue of the VAT. Example: 4.45
price.vat.usdStringValue of the VAT in USD. Example: 1.12
price.discountObjectObject with information about the discount applied in the purchase.
price.discount.percentageStringPercentage of the discount. Example: 20.5
price.discount.valueStringValue of the discount. Example: 4.45
price.discount.usdStringValue of the discount in USD. Example: 1.12
channelStringChannel used for the purchase.
platformStringPlatform used for the purchase.
marketStringMarket from which the purchase was made.

Example Response

{
"uid": "SEVD6MDBKR5XBZZU",
"domain": "com.appcoins.diceroll.sdk",
"product": "attempts",
"wallet_from": "0x6e581078d392f98a53a8e9b0a10a35169c431a1e",
"type": "INAPP",
"method": "googlepay",
"country": "PT",
"reference": "",
"hash": "0x85ad942ef12e6dea2e9a2eab9cddd0af64eba414309e448806d2f732132bca52",
"status": "COMPLETED",
"added": "2025-05-02T22:11:56+00:00",
"modified": "2025-05-02T22:12:20+00:00",
"gateway": {
"name": "adyen_v2"
},
"metadata": {
"purchase_uid": "catappult.inapp.purchase.AXVCN5PZPXNYKQ7J",
"developer_payload": "dee8217d-8f5b-427c-872c-fa5bb32c2444"
},
"price": {
"currency": "EUR",
"value": "0.1",
"appc": "11.3",
"usd": "0.11",
"vat": {
"percentage": "23",
"value": "0.02",
"usd": "0.02"
},
"discount": {
"percentage": "23",
"value": "0.02",
"usd": "0.02"
}
},
"channel": "WEB",
"platform": "ANDROID",
"market": "NATIVE"
}

type

ValueDescription
INAPPProduct of type inapp was purchased via Android Billing SDK.
INAPP_SUBSCRIPTIONProduct of type subscription was purchased via Android Billing SDK.
INAPP_UNMANAGEDProduct of type inapp was purchased via OSP.

status

ValueDescription
PENDING_SERVICE_AUTHORIZATIONTransaction waiting for service authorization.
PENDING_USER_PAYMENTTransaction waiting for user payment.
PROCESSINGTransaction being processed.
SETTLEDTransaction settled.
COMPLETEDTransaction completed.
CANCELEDTransaction canceled.
DUPLICATEDTransaction duplicated.
FAILEDTransaction failed.
CHARGEBACKTransaction chargeback.
REFUNDEDTransaction refunded.

channel

ValueDescription
ANDROIDAndroid channel type used.
IOSiOS channel type used.

platform

ValueDescription
ANDROIDAndroid platform type used.
IOSiOS platform type used.

market

ValueDescription
NATIVENative market was used. Android or iOS.
WEBWeb market was used.